Skip to main content
GET
/
v2
/
loyalties
/
card-definitions
List Card Definitions
curl --request GET \
  --url https://api.voucherify.io/v2/loyalties/card-definitions \
  --header 'Authorization: Bearer <token>' \
  --header 'X-App-Id: <api-key>' \
  --header 'X-App-Token: <api-key>'
{
  "object": "<string>",
  "data": [
    {
      "id": "<string>",
      "name": "<string>",
      "type": "INDIVIDUAL",
      "status": "DRAFT",
      "code_config": {
        "pattern": "<string>",
        "length": 123,
        "charset": "<string>",
        "prefix": "<string>",
        "postfix": "<string>"
      },
      "points_expiration": {
        "type": "NO_EXPIRATION",
        "rolling_expiration": {
          "period": {
            "value": 2,
            "unit": "DAY"
          },
          "rounding": {
            "type": "END_OF_MONTH",
            "value": 6
          }
        },
        "calendar_expiration": {
          "expiration_dates": [
            {
              "day": 16,
              "month": 6
            }
          ]
        },
        "sliding_expiration": {
          "earning_activity": true,
          "spending_activity": true,
          "custom_activity": true,
          "custom_activity_types": [
            "<string>"
          ],
          "period": {
            "value": 2,
            "unit": "DAY"
          }
        }
      },
      "pending_points": {
        "type": "IMMEDIATE",
        "period_based": {
          "period": {
            "value": 2,
            "unit": "DAY"
          }
        },
        "fixed_dates": {
          "dates": [
            {
              "day": 16,
              "month": 6
            }
          ]
        },
        "event_based": {
          "event_types": [
            "<string>"
          ],
          "cancel_period": {
            "value": 2,
            "unit": "DAY"
          }
        }
      },
      "earning_limits": {
        "global": {
          "type": "NO_LIMIT",
          "limits": [
            {
              "type": "BALANCE_BASED",
              "max": 2,
              "period": {
                "type": "CURRENT_PERIOD",
                "current_period": {
                  "unit": "DAY"
                }
              },
              "points": {
                "max": 1073741824
              }
            }
          ]
        },
        "transactions": {
          "type": "NO_LIMIT",
          "limits": [
            {
              "type": "POINTS",
              "max": 2,
              "min_amount": 2
            }
          ]
        }
      },
      "spending_limits": {
        "global": {
          "type": "NO_LIMIT",
          "limits": [
            {
              "type": "SPENDING_BASED",
              "max": 2,
              "period": {
                "type": "CURRENT_PERIOD",
                "current_period": {
                  "unit": "DAY"
                }
              },
              "points": {
                "max": 1073741824
              }
            }
          ]
        },
        "transactions": {
          "type": "NO_LIMIT",
          "limits": [
            {
              "type": "POINTS",
              "max": 2
            }
          ]
        }
      },
      "refunds": {
        "spent_points": {
          "type": "NONE",
          "methods": [
            {
              "type": "RETURN_POINTS",
              "mode": "REFUND_ALL"
            }
          ]
        },
        "earned_points": {
          "type": "NONE",
          "methods": [
            {
              "type": "REVOKE_FROM_PENDING",
              "mode": "REVOKE_TO_ZERO"
            }
          ]
        }
      },
      "balance_settings": {
        "allow_negative": true
      },
      "metadata": {},
      "created_at": "2023-11-07T05:31:56Z",
      "object": "<string>",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "cursor": {
    "next": "<string>",
    "expires_at": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.voucherify.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

X-App-Id
string
header
required
X-App-Token
string
header
required

Query Parameters

filters[junction]
enum<string>

Logical junction for combining filter conditions.

Available options:
AND,
OR
filters[id][conditions][$is]
string

Filter by exact card definition ID.

filters[id][conditions][$is_not]
string

Exclude card definitions with this ID.

filters[id][conditions][$in]
string[]

Filter by multiple card definition IDs.

Maximum array length: 100
filters[id][conditions][$not_in]
string[]

Exclude card definitions with these IDs.

Maximum array length: 100
filters[name][conditions][$is]
string

Filter by exact name.

filters[name][conditions][$is_not]
string

Exclude by exact name.

filters[name][conditions][$contains]
string

Filter by name containing substring.

filters[name][conditions][$starts_with]
string

Filter by name starting with.

filters[name][conditions][$ends_with]
string

Filter by name ending with.

filters[type][conditions][$is]
enum<string>

Filter by exact card type.

Available options:
INDIVIDUAL
filters[type][conditions][$in]
enum<string>[]

Filter by multiple card types.

Available options:
INDIVIDUAL
filters[status][conditions][$is]
enum<string>

Filter by exact status.

Available options:
ACTIVE,
INACTIVE,
DRAFT
filters[status][conditions][$in]
enum<string>[]

Filter by multiple statuses.

Available options:
ACTIVE,
INACTIVE,
DRAFT
filters[created_at][conditions][$before]
string<date-time>

Filter for records created before this date.

filters[created_at][conditions][$after]
string<date-time>

Filter for records created after this date.

filters[updated_at][conditions][$before]
string<date-time>

Filter for records updated before this date.

filters[updated_at][conditions][$after]
string<date-time>

Filter for records updated after this date.

limit
integer
default:10

Maximum number of results to return (1-100).

Required range: 1 <= x <= 100
order
enum<string>[]

Sort order. Prefix with - for descending. Default: -created_at.

Available options:
-name,
name,
-type,
type,
-status,
status,
-created_at,
created_at
cursor
string

Cursor for pagination. Obtained from a previous list response.

Response

List of card definitions

object
string
required
Allowed value: "list"
data
object[]
required
cursor
object
required

Cursor for fetching the next page of results.

Last modified on May 11, 2026